Subject: bug#69171: Moving packages out of core to ELPA

From: JD Smith <[email-masked]>
Date: Tue, 20 Feb 2024 09:12:03 -0500

Thanks for your work on this.  I encountered just a few merge conflicts.  Most had to do with assoc-ignore-case -> assoc-string, which I had already fixed on my local repo, and loop -> cl-loop as well. 

I unarchived my repo and pushed these changes to a new branch: https://github.com/jdtsmith/idlwave/commits/emacs-upstream-merge/.  

I will look into the compiler results, fix those up, and give it a test in the next week or so.

> On Feb 19, 2024, at 6:06 PM, Stefan Monnier <[email-masked]> wrote:
> 
>> I agree.  I think this has even been suggested before, but I don't have the
>> resources to take it on myself (though I'm happy to test it).  Maybe it's
> 
> Can you test the patch below (which basically applies the
> diff between commits 627e0a14e87 to 77576cd7626e on `emacs.git).
> Clearly, the code reorg made the work harder.
> 
> But it's a bit worse: the split chosen for the reorganization tends
> to create circular dependencies (e.g. all the files need to depend on
> `idlw-variables`, so `idlw-variables` can't depend on anything at all).
> So it's harder to get rid of all the warnings.
> 
> I also attach the warnings resulting from compiling the code (after
> applying the patch).
> 
>